/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.dependency.maven20.util;

import org.apache.maven.embedder.AbstractMavenEmbedderLogger;
import org.bluestemsoftware.specification.eoa.system.System.Log;
import org.bluestemsoftware.specification.eoa.system.SystemContext;

public final class MavenEmbedderLogger extends AbstractMavenEmbedderLogger {

    private static Log log = null;
    
    public MavenEmbedderLogger() {
        
        log = SystemContext.getContext().getSystem().getLog(org.apache.maven.embedder.MavenEmbedder.class);
        
        // embedder logger, i.e. super, default threshold is info. embedder logger
        // has no trace level, so the only thing to do here is turn on debug level
        // if its enabled
        
        if (log.isDebugEnabled()) {
            setThreshold(org.apache.maven.embedder.MavenEmbedderLogger.LEVEL_DEBUG);
        }
        
    }

    public void debug(String message, Throwable throwable) {
        log.debug(message, throwable);
    }

    public void error(String message, Throwable throwable) {
        log.error(message, throwable);
    }

    public void fatalError(String message, Throwable throwable) {
        log.fatal(message, throwable);
    }

    public void info(String message, Throwable throwable) {
        log.info(message, throwable);
    }

    public void warn(String message, Throwable throwable) {
        log.warn(message, throwable);
    }

    public void close() {
    }

}
